
QGIS Application - Bug report #3725

Offline Editing plugin issues on both Linux and Windows using trunk

2011-04-13 04:06 AM - elcuco -

Status: Closed

Priority: Low

Assignee: Mathias Walker

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13784

Description

I'm trying to work with the QGIS plugin "Offline Editing" because I need to "feed" a Postgres / [[PostGIS]] database from some laptops

that will work in the Douro Region to gather geographic information. I did the following tests:

QGIS1.6 in Windows 7, XP, and Ubuntu 10.04 - After clicking "Create offline project" it's created a [[SpatialLITE]] file supposedly

containing the features are to be synchronized. In the top window of QGIS is added "(offline)" after the name of the project. However the

[[SpatiaLite]] file does not contain data, remaining empty. The QGIS TOC keeps the layers of Postgis. When I do some edits, I'm editing

directly in Postgis layer, so there is no synchronization here ...

QGIS1.7 Trunk in Windows XP and Ubuntu 10.04 - After clicking "Create offline project", a [[SpatialLITE]] file is created with the features

I want to synchronize,  as well as "(offline)" is added  after the name of the project. In QGIS TOC, [[PostGIS]] layers are replaced with

those contained in the [[SpatiaLite]] file. The edits performed are written to this file. I click the Synchronize button and nothing happens.

And the [[PostGIS]] database keeps unchanged ...

I'm doing something the wrong or is this a bug?

Regards,

Pedro Ferreira

History

#1 - 2011-04-16 06:36 AM - Giovanni Manghi

It seems that can be something related with the table structure/datatypes. Can you provide a small sample of the data you are using in a pgsql dump, so we

can try replicate the problem locally?

Cheers

#2 - 2011-04-19 03:05 AM - elcuco -

It's now attached!

Best regards!

Replying to [comment:1 lutra]:

It seems that can be something related with the table structure/datatypes. Can you provide a small sample of the data you are using in a pgsql

dump, so we can try replicate the problem locally?

Cheers
#3 - 2011-04-21 05:10 AM - Giovanni Manghi

Replying to [comment:4 elcuco]:

It's now attached!

Best regards!

Hi,

instead of the full database dump can you please attach only the table/s with a few sample data in it?

cheers!

#4 - 2011-04-26 04:21 AM - elcuco -

Hi!

Sorry for the delay... here it goes.

cheers,

Pedro

Replying to [comment:5 lutra]:

Replying to [comment:4 elcuco]:

It's now attached!

Best regards!

Hi,

instead of the full database dump can you please attach only the table/s with a few sample data in it?

cheers!

#5 - 2011-04-27 03:32 AM - Giovanni Manghi

I finally found the time to do a little testing myself.

Before starting just one note:

to import the table dump attached to this ticket I had to do it using psql because for some reason both pgadmin3 and postgis manager failed to run the

query.

I also had to run

SELECT Populate_Geometry_Columns();

Results:
I tested the attached table/data on both linux (Ubuntu 10.04 32bit) and Windows Seven using QGIS trunk. For the sake of the test I disabled any 3rd party

plugin, as we know sometimes can interfere with core QGIS tools.

*) Windows: the spatialite DB is created correctly and populated with the data. It is possible to edit the SL layer(s) but then no synchronization whatsoever

is done when clicking the "synchronize" button.

*) Linux: in the best case the SL database is created but with no data in it. Usually QGIS crashes (seg fault) during the SL database creation. This seems to

happen at the end of the process because the SL file is outputted (always empty).

Here is the empty SL database created under Linux:

http://ubuntuone.com/p/ovi/

Jurgen, I change back the "must_fix" tag to "yes" as this seems to me a show stopper as it is a core tool. Just my opinion, so feel free to switch back again

to "no".

PS

One of the crashes gave me more (than seg faukt) in the console

*** glibc detected *** /usr/bin/qgis.bin: corrupted double-linked list: 0x0bb02110 ***

h7. Backtrace:

/lib/tls/i686/cmov/libc.so.6(+0x6b591)[0xb54ba591]

/lib/tls/i686/cmov/libc.so.6(+0x6ce41)[0xb54bbe41]

/lib/tls/i686/cmov/libc.so.6(cfree+0x6d)[0xb54beecd]

/usr/lib/libqgis_core.so.1.7.0(+0x28ce4d)[0xb7261e4d]

/usr/lib/libqgis_core.so.1.7.0(+0x28ceae)[0xb7261eae]

/usr/lib/libqgis_core.so.1.7.0(SPLite3_clear_bindings+0x4d)[0xb7265b0d]

/usr/lib/qgis/plugins/libspatialiteprovider.so(_ZN21QgsSpatiaLiteProvider11addFeaturesER5QListI10QgsFeatureE+0xcc5)[0xb0f02755]

/usr/lib/libqgis_core.so.1.7.0(_ZN14QgsVectorLayer13commitChangesEv+0x2db5)[0xb7186b75]

/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN17QgsOfflineEditing15copyVectorLayerEP14QgsVectorLayerP7sqlite3RK7QString+0x1791)[0xb102b811]
/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN17QgsOfflineEditing23convertToOfflineProjectERK7QStringS2_RK11QStringList+0x1bd)[0xb102c4cd]
/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN23QgsOfflineEditingPlugin14convertProjectEv+0x10c)[0xb101e1cc]
/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN23QgsOfflineEditingPlugin11qt_metacallEN11QMetaObject4CallEiPPv+0xb3)[0xb102ec83]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8metacallEP7QObjectNS_4CallEiPPv+0x3a)[0xb6c32c9a]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2d5)[0xb6c413d5]
/usr/lib/libQtGui.so.4(_ZN7QAction9triggeredEb+0x49)[0xb6177bd9]
/usr/lib

b102b811]

/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN17QgsOfflineEditing23convertToOfflineProjectERK7QStringS2_RK11QStringList+0x1bd)[0xb102c4cd]
/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN23QgsOfflineEditingPlugin14convertProjectEv+0x10c)[0xb101e1cc]
/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN23QgsOfflineEditingPlugin11qt_metacallEN11QMetaObject4CallEiPPv+0xb3)[0xb102ec83]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8metacallEP7QObjectNS_4CallEiPPv+0x3a)[0xb6c32c9a]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2d5)[0xb6c413d5]
/usr/lib/libQtGui.so.4(_ZN7QAction9triggeredEb+0x49)[0xb6177bd9]
/usr/lib/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x7c)[0xb6179dcc]
/usr/lib/libQtGui.so.4(_ZN11QToolButton14nextCheckStateEv+0x32)[0xb666cbd2]
/usr/lib/libQtGui.so.4(+0x540cb3)[0xb6589cb3]
/usr/lib/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x9e)[0xb6589fae]
/us

02c4cd]

/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN23QgsOfflineEditingPlugin14convertProjectEv+0x10c)[0xb101e1cc]

/usr/lib/qgis/plugins/libofflineeditingplugin.so(_ZN23QgsOfflineEditingPlugin11qt_metacallEN11QMetaObject4CallEiPPv+0xb3)[0xb102ec83]

/usr/lib/libQtCore.so.4(_ZN11QMetaObject8metacallEP7QObjectNS_4CallEiPPv+0x3a)[0xb6c32c9a]

/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2d5)[0xb6c413d5]

/usr/lib/libQtGui.so.4(_ZN7QAction9triggeredEb+0x49)[0xb6177bd9]

/usr/lib/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x7c)[0xb6179dcc]

/usr/lib/libQtGui.so.4(_ZN11QToolButton14nextCheckStateEv+0x32)[0xb666cbd2]

/usr/lib/libQtGui.so.4(+0x540cb3)[0xb6589cb3]

/usr/lib/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x9e)[0xb6589fae]

/usr/lib/libQtGui.so.4(_ZN11QToolButton17mouseReleaseEventEP11QMouseEvent+0x2c)[0xb666d09c]

/usr/lib/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x528)[0xb61dc7f8]

/usr/lib/libQtGui.so.4(_ZN15QAbstractButton5eventEP6QEvent+0x3e)[0xb6588d4e]

/usr/lib/libQtGui.so.4(_ZN11QToolButton5eventEP6QEvent+0x4a)[0xb666fbca]

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0xb617e4dc]

/usr/lib/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xb17)[0xb61859f7]

/usr/lib/libqgis_core.so.1.7.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x33)[0xb70bea13]

/usr/lib/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7b)[0xb6c2da3b]
/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0xf2)[0xb6184952]
/usr/lib/libQtGui.so.4(+0x1c7088)[0xb6210088]
/usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x1771)[0xb620f511]
/usr/lib/libQtGui.so.4(+0x1f560a)[0xb623e60a]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0xb50a35e5]
/lib/libglib-2.0.so.0(+0x3f2d8)[0xb50a72d8]
/lib/libglib-2.0.so.0(g_main_context_iteration+0x68)[0xb50a74b8]
/usr/lib/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65)[0xb6c595d5]
/usr/lib/libQtGui.so.4(+0x1f5135)[0xb623e135]
/usr/lib/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x49)[0xb6c2c059]
/usr/lib/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xfa)[0xb6c2c4aa]
/usr/lib/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xaf)[0xb6c3069f]
/usr/lib/libQtGui.so.4(_ZN12QApplication4execEv+0x27)[0xb617e577]
/usr/bin/qgis.bin(main+0x223c)[0x8105c1c]
/lib/tls/i686/cmov/libc.so.6(+libc_start_main+0xe6)[0xb5465bd6]
/usr/bin/qgis.bin[0x8103201]

h7. Memory map:

08048000-085ad000 r-xp 00000000 08:01 3671850    /usr/bin/qgis.bin
085ad000-085ae000 r--p 00564000 08:01 3671850    /usr/bin/qgis.bin
085ae000-085b2000 rw-p 00565000 08:01 3671850    /usr/bin/qgis.bin
085b2000-085b4000 rw-p 00000000 00:00 0 
09129000-0c3f4000 rw-p 00000000 00:00 0          [heap]
a8605000-a8a13000 rw-p 00000000 00:00 0 
a8e1a000-a8e7a000 rw-s 00000000 00:04 1966117    /SYSV00000000 (deleted)
a8e7a000-a8e7e000 r-xp 00000000 08:01 3672096    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
a8e7e000-a8e7f000 r--p 00003000 08:01 3672096    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
a8e7f000-a8e80000 rw-p 00004000 08:01 3672096    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
a8e81000-a8ee1000 rw-s 00000000 00:04 1933348    /SYSV00000000 (deleted)
a9259000-a92d9000 r--p 00000000 08:01 3803354    /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-BoldOblique.ttf
a92d9000-a92e9000 r-xp 00000000 08:01 1704432    /lib/libresolv-2.11.1.so
a92e9000-a92ea000 r--p 00010000 08:01 1704432    /lib/libresolv-2.11.1.so
a92ea000-a92eb000 rw-p 00011000 08:01 1704432    /lib/libresolv-2.11.1.so
a92eb000-a92ed000 rw-p 00000000 00:00 0 
a92ed000-a92ee000 ---p 00000000 00:00 0 
a92ee000-a9aee000 rw-p 00000000 00:00 0 
a9af3000-a9b07000 r--p 00000000 08:01 3831160    /usr/share/fonts/type1/gsfonts/n019003l.pfb
a9b07000-a9b08000 ---p 00000000 00:00 0 
a9b08000

184952]

/usr/lib/libQtGui.so.4(+0x1c7088)[0xb6210088]

/usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x1771)[0xb620f511]

/usr/lib/libQtGui.so.4(+0x1f560a)[0xb623e60a]

/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0xb50a35e5]

/lib/libglib-2.0.so.0(+0x3f2d8)[0xb50a72d8]

/lib/libglib-2.0.so.0(g_main_context_iteration+0x68)[0xb50a74b8]

/usr/lib/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65)[0xb6c595d5]

/usr/lib/libQtGui.so.4(+0x1f5135)[0xb623e135]

/usr/lib/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x49)[0xb6c2c059]

/usr/lib/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xfa)[0xb6c2c4aa]

/usr/lib/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xaf)[0xb6c3069f]

/usr/lib/libQtGui.so.4(_ZN12QApplication4execEv+0x27)[0xb617e577]

/usr/bin/qgis.bin(main+0x223c)[0x8105c1c]

/lib/tls/i686/cmov/libc.so.6(+libc_start_main+0xe6)[0xb5465bd6]

/usr/bin/qgis.bin[0x8103201]

h7. Memory map:

08048000-085ad000 r-xp 00000000 08:01 3671850    /usr/bin/qgis.bin

085ad000-085ae000 r--p 00564000 08:01 3671850    /usr/bin/qgis.bin

085ae000-085b2000 rw-p 00565000 08:01 3671850    /usr/bin/qgis.bin

085b2000-085b4000 rw-p 00000000 00:00 0 

09129000-0c3f4000 rw-p 00000000 00:00 0          [heap]

a8605000-a8a13000 rw-p 00000000 00:00 0 

a8e1a000-a8e7a000 rw-s 00000000 00:04 1966117    /SYSV00000000 (deleted)

a8e7a000-a8e7e000 r-xp 00000000 08:01 3672096    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so

a8e7e000-a8e7f000 r--p 00003000 08:01 3672096    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so

a8e7f000-a8e80000 rw-p 00004000 08:01 3672096    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so

a8e81000-a8ee1000 rw-s 00000000 00:04 1933348    /SYSV00000000 (deleted)

a9259000-a92d9000 r--p 00000000 08:01 3803354    /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-BoldOblique.ttf

a92d9000-a92e9000 r-xp 00000000 08:01 1704432    /lib/libresolv-2.11.1.so

a92e9000-a92ea000 r--p 00010000 08:01 1704432    /lib/libresolv-2.11.1.so

a92ea000-a92eb000 rw-p 00011000 08:01 1704432    /lib/libresolv-2.11.1.so

a92eb000-a92ed000 rw-p 00000000 00:00 0 

a92ed000-a92ee000 ---p 00000000 00:00 0 

a92ee000-a9aee000 rw-p 00000000 00:00 0 

a9af3000-a9b07000 r--p 00000000 08:01 3831160    /usr/share/fonts/type1/gsfonts/n019003l.pfb

a9b07000-a9b08000 ---p 00000000 00:00 0 

a9b08000-aa308000 rw-p 00000000 00:00 0 

aa308000-aa309000 ---p 00000000 00:00 0 

aa309000-aab09000 rw-p 00000000 00:00 0 

aab09000-aab0a000 ---p 00000000 00:00 0 

aab0a000-ab30a000 rw-p 00000000 00:00 0 

ab30a000-ab326000 r-xp 00000000 08:01 4461097    /usr/lib/R/library/grid/libs/grid.so

ab326000-ab327000 r--p 0001b000 08:01 4461097    /usr/lib/R/library/grid/libs/grid.so

ab327000-ab328000 rw-p 0001c000 08:01 4461097    /usr/lib/R/library/grid/libs/grid.so

ab328000-ab389000 r-xp 00000000 08:01 4460646    /usr/lib/R/library/stats/libs/stats.so

ab389000-ab38a000 r--p 00061000 08:01 4460646    /usr/lib/R/library/stats/libs/stats.so

ab38a000-ab38b000 rw-p 00062000 08:01 4460646    /usr/lib/R/library/stats/libs/stats.so

ab38b000-ab38c000 rw-p 00000000 00:00 0 

ab38c000-ab3ae000 r-xp 00000000 08:01 4460485    /usr/lib/R/library/grDevices/libs/grDevices.so
ab3ae000-ab3af000 r--p 00021000 08:01 4460485    /usr/lib/R/library/grDevices/libs/grDevices.so

ab3af000-ab3b0000 rw-p 00022000 08:01 4460485    /usr/lib/R/library/grDevices/libs/grDevices.so

ab3b0000-ab3e4000 r-xp 00000000 08:01 1704038    /lib/libncurses.so.5.7

ab3e4000-ab3e5000 ---p 00034000 08:01 1704038    /lib/libncurses.so.5.7

ab3e5000-ab3e7000 r--p 00034000 08:01 1704038    /lib/libncurses.so.5.7

ab3e7000-ab3e8000 rw-p 00036000 08:01 1704038    /lib/libncurses.so.5.7

ab3e8000-ab3f8000 r-xp 00000000 08:01 1704275    /lib/libbz2.so.1.0.4

ab3f8000-ab3f9000 r--p 0000f000 08:01 1704275    /lib/libbz2.so.1.0.4

ab3f9000-ab3fa000 rw-p 00010000 08:01 1704275    /lib/libbz2.so.1.0.4

ab3fa000-ab429000 r-xp 00000000 08:01 1704096    /lib/libreadline.so.6.1

ab429000-ab42a000 r--p 0002e000 08:01 1704096    /lib/libreadline.so.6.1

ab42a000-ab42d000 rw-p 0002f000 08:01 1704096    /lib/libreadline.so.6.1

ab42d000-ab42e000 rw-p 00000000 00:00 0 

ab436000-ab444000 r-xp 00000000 08:01 3810393    /usr/lib/python2.6/lib-dynload/_sqlite3.so

ab444000-ab445000 r--p 0000d000 08:01 3810393    /usr/lib/python2.6/lib-dynload/_sqlite3.so

ab445000-ab447000 rw-p 0000e000 08:01 3810393    /usr/lib/python2.6/lib-dynload/_sqlite3.so

ab447000-ab6be000 r-xp 00000000 08:01 4457232    /usr/lib/R/lib/libR.so

ab6be000-ab6bf000 ---p 00277000 08:01 4457232    /usr/lib/R/lib/libR.so

ab6bf000-ab6c2000 r--p 00277000 08:01 4457232    /usr/lib/R/lib/libR.so

ab6c2000-ab6cd000 rw-p 0027a000 08:01 4457232    /usr/lib/R/lib/libR.so

ab6cd000-ab764000 rw-p 00000000 00:00 0 

ab764000-ab8ba000 r-xp 00000000 08:01 4470510    /usr/lib/pyshared/python2.6/PyQt4/Qwt5/Qwt.so

ab8ba000-ab8bd000 r--p 00156000 08:01 4470510    /usr/lib/pyshared/python2.6/PyQt4/Qwt5/Qwt.so

ab8bd000-ab8ce000 rw-p 00159000 08:01 4470510    /usr/lib/pyshared/python2.6/PyQt4/Qwt5/Qwt.so

ab8ce000-abfaf000 r-xp 00000000 08:01 3675949    /usr/lib/libQtDesigner.so.4.6.2

abfaf000-abfb0000 ---p 006e1000 08:01 3675949    /usr/lib/libQtDesigner.so.4.6.2

abfb0000-abfbe000 r--p 006e1000 08:01 3675949    /usr/lib/libQtDesigner.so.4.6.2

abfbe000-abfc0000 rw-p 006ef000 08:01 3675949    /usr/lib/libQtDesigner.so.4.6.2

abfc0000-abfc1000 rw-p 00000000 00:00 0 

abfc1000-abff8000 r-xp 00000000 08:01 4345402    /usr/lib/pyshared/python2.6/PyQt4/QtDesigner.so

abff8000-abffa000 r--p 00037000 08:01 4345402    /usr/lib/pyshared/python2.6/PyQt4/QtDesigner.so

abffa000-ac000000 rw-p 00039000 08:01 4345402    /usr/lib/pyshared/python2.6/PyQt4/QtDesigner.so

ac000000-ac006000 r-xp 00000000 08:01 3673721    /usr/lib/libQtAssistantClient.so.4.6.2

ac006000-ac007000 r--p 00005000 08:01 3673721    /usr/lib/libQtAssistantClient.so.4.6.2

ac007000-ac008000 rw-p 00006000 08:01 3673721    /usr/lib/libQtAssistantClient.so.4.6.2

ac008000-ac025000 r-xp 00000000 08:01 4345403    /usr/lib/pyshared/python2.6/PyQt4/QtXmlPatterns.so

ac025000-ac026000 r--p 0001c000 08:01 4345403    /usr/lib/pyshared/python2.6/PyQt4/QtXmlPatterns.so

ac026000-ac02a000 rw-p 0001d000 08:01 4345403    /usr/lib/pyshared/python2.6/PyQt4/QtXmlPatterns.so

ac02a000-ac0a1000 r-xp 00000000 08:01 3675961    /usr/lib/libQtDBus.so.4.6.2

ac0a1000-ac0a2000 r--p 00076000 08:01 3675961    /usr/lib/libQtDBus.so.4.6.2

ac0a2000-ac0a3000 rw-p 00077000 08:01 3675961    /usr/lib/libQtDBus.so.4.6.2

ac0a3000-ac49c000 r-xp 00000000 08:01 3673209    /usr/lib/libQtXmlPatterns.so.4.6.2

ac49c000-ac4bc000 r--p 003f8000 08:01 3673209    /usr/lib/libQtXmlPatterns.so.4.6.2

ac4bc000-ac4bd000 rw-p 00418000 08:01 3673209    /usr/lib/libQtXmlPatterns.so.4.6.2

ac4bd000-ac4be000 rw-p 00000000 00:00 0 

ac4be000-ac510000 r-xp 00000000 08:01 3674406    /usr/lib/libphonon.so.4.4.0

ac510000-ac512000 r--p 00051000 08:01 3674406    /usr/lib/libphonon.so.4.4.0

ac512000-ac513000 rw-p 00053000 08:01 3674406    /usr/lib/libphonon.so.4.4.0

ac513000-ad489000 r-xp 00000000 08:01 3673153    /usr/lib/libQtWebKit.so.4.6.2

ad489000-ad51c000 r--p 00f75000 08:01 3673153    /usr/lib/libQtWebKit.so.4.6.2

ad51c000-ad522000 rw-p 01008000 08:01 3673153    /usr/lib/libQtWebKit.so.4.6.2

ad522000-ad535000 rw-p 00000000 00:00 0 

ad535000-ad57a000 r-xp 00000000 08:01 4345397    /usr/lib/pyshared/python2.6/PyQt4/QtWebKit.so
ad57a000-ad57b000 r--p 00045000 08:01 4345397    /usr/lib/pyshared/python2.6/PyQt4/QtWebKit.so

ad57b000-ad584000 rw-p 00046000 08:01 4345397    /usr/lib/pyshared/python2.6/PyQt4/QtWebKit.so

ad584000-ad5a7000 r-xp 00000000 08:01 3676955    /usr/lib/libQtTest.so.4.6.2

ad5a7000-ad5a8000 r--p 00022000 08:01 3676955    /usr/lib/libQtTest.so.4.6.2

ad5a8000-ad5a9000 rw-p 00023000 08:01 3676955    /usr/lib/libQtTest.so.4.6.2

ad5af000-ad5b5000 r-xp 00000000 08:01 4460992    /usr/lib/R/library/methods/libs/methods.so

ad5b5000-ad5b6000 r--p 00005000 08:01 4460992    /usr/lib/R/library/methods/libs/methods.so

ad5b6000-ad5b7000 rw-p 00006000 08:01 4460992    /usr/lib/R/library/methods/libs/methods.so

ad5b7000-ad5bf000 r-xp 00000000 08:01 4463734    /usr/lib/python2.6/dist-packages/rpy2/rinterface/rinterface.so

ad5bf000-ad5c0000 r--p 00007000 08:01 4463734    /usr/lib/python2.6/dist-packages/rpy2/rinterface/rinterface.so

ad5c0000-ad5c2000 rw-p 00008000 08:01 4463734    /usr/lib/python2.6/dist-packages/rpy2/rinterface/rinterface.so

ad5c2000-ad677000 r-xp 00000000 08:01 3675953    /usr/lib/libQtScriptTools.so.4.6.2

ad677000-ad67c000 r--p 000b4000 08:01 3675953    /usr/lib/libQtScriptTools.so.4.6.2

ad67c000-ad67d000 rw-p 000b9000 08:01 3675953    /usr/lib/libQtScriptTools.so.4.6.2

ad67d000-ad681000 r-xp 00000000 08:01 1704447    /lib/tls/i686/cmov/libnss_dns-2.11.1.so

ad681000-ad682000 r--p 00004000 08:01 1704447    /lib/tls/i686/cmov/libnss_dns-2.11.1.so

ad682000-ad683000 rw-p 00005000 08:01 1704447    /lib/tls/i686/cmov/libnss_dns-2.11.1.so

ad683000-ad693000 r-xp 00000000 08:01 4345401    /usr/lib/pyshared/python2.6/PyQt4/QtSvg.so

ad693000-ad694000 r--p 0000f000 08:01 4345401    /usr/lib/pyshared/python2.6/PyQt4/QtSvg.so

ad694000-ad696000 rw-p 00010000 08:01 4345401    /usr/lib/pyshared/python2.6/PyQt4/QtSvg.so

ad696000-ad8e1000 r-xp 00000000 08:01 3675957    /usr/lib/libQtScript.so.4.6.2

ad8e1000-ad8eb000 r--p 0024a000 08:01 3675957    /usr/lib/libQtScript.so.4.6.2

ad8eb000-ad8ec000 rw-p 00254000 08:01 3675957    /usr/lib/libQtScript.so.4.6.2

ad8ec000-ad8fc000 rw-p 00000000 00:00 0 

ad8fc000-ad91e000 r-xp 00000000 08:01 4345395    /usr/lib/pyshared/python2.6/PyQt4/QtScript.so

ad91e000-ad91f000 r--p 00021000 08:01 4345395    /usr/lib/pyshared/python2.6/PyQt4/QtScript.so

ad91f000-ad924000 rw-p 00022000 08:01 4345395    /usr/lib/pyshared/python2.6/PyQt4/QtScript.so

ad924000-ada0d000 r-xp 00000000 08:01 3676965    /usr/lib/libQtCLucene.so.4.6.2

ada0d000-ada12000 r--p 000e9000 08:01 3676965    /usr/lib/libQtCLucene.so.4.6.2

ada12000-ada13000 rw-p 000ee000 08:01 3676965    /usr/lib/libQtCLucene.so.4.6.2

ada13000-ada90000 r-xp 00000000 08:01 3673609    /usr/lib/libQtHelp.so.4.6.2

ada90000-ada91000 ---p 0007d000 08:01 3673609    /usr/lib/libQtHelp.so.4.6.2

ada91000-ada93000 r--p 0007d000 08:01 3673609    /usr/lib/libQtHelp.so.4.6.2

ada93000-ada94000 rw-p 0007f000 08:01 3673609    /usr/lib/libQtHelp.so.4.6.2

ada95000-ada97000 r-xp 00000000 08:01 1704057    /lib/libnss_mdns4_minimal.so.2

ada97000-ada98000 r--p 00001000 08:01 1704057    /lib/libnss_mdns4_minimal.so.2

ada98000-ada99000 rw-p 00002000 08:01 1704057    /lib/libnss_mdns4_minimal.so.2

ada99000-ada9c000 r-xp 00000000 08:01 4345396    /usr/lib/pyshared/python2.6/PyQt4/QtAssistant.so

ada9c000-ada9d000 r--p 00002000 08:01 4345396    /usr/lib/pyshared/python2.6/PyQt4/QtAssistant.so

ada9d000-ada9e000 rw-p 00003000 08:01 4345396    /usr/lib/pyshared/python2.6/PyQt4/QtAssistant.so

ada9e000-adaa5000 r-xp 00000000 08:01 4345406    /usr/lib/pyshared/python2.6/PyQt4/QtTest.so

adaa5000-adaa6000 r--p 00006000 08:01 4345406    /usr/lib/pyshared/python2.6/PyQt4/QtTest.so

adaa6000-adaa7000 rw-p 00007000 08:01 4345406    /usr/lib/pyshared/python2.6/PyQt4/QtTest.so

adaa7000-adaab000 r-xp 00000000 08:01 4345400    /usr/lib/pyshared/python2.6/PyQt4/QtScriptTools.so

adaab000-adaac000 r--p 00003000 08:01 4345400    /usr/lib/pyshared/python2.6/PyQt4/QtScriptTools.so

adaac000-adaad000 rw-p 00004000 08:01 4345400    /usr/lib/pyshared/python2.6/PyQt4/QtScriptTools.so

adaad000-adac1000 r-xp 00000000 08:01 4345404    /usr/lib/pyshared/python2.6/PyQt4/QtHelp.so

adac1000-adac2000 r--p 00013000 08:01 4345404    /usr/lib/pyshared/python2.6/PyQt4/QtHelp.so

adac2000-adac5000 rw-p 00014000 08:01 4345404    /usr/lib/pyshared/python2.6/PyQt4/QtHelp.so

adac5000-adc46000 rw-p 00000000 00:00 0 

adc46000-adc4a000 r-xp 00000000 08:01 3810380    /usr/lib/python2.6/lib-dynload/_csv.so

adc4a000-adc4b000 r--p 00003000 08:01 3810380    /usr/lib/python2.6/lib-dynload/_csv.so

adc4b000-adc4d000 rw-p 00004000 08:01 3810380    /usr/lib/python2.6/lib-dynload/_csv.so
adc4d000-adc51000 r-xp 00000000 08:01 3803057    /usr/lib/python2.6/dist-packages/sgmlop.soAborted

#6 - 2011-04-29 01:20 PM - Mathias Walker

- Status changed from Open to Closed

- Resolution set to fixed

Testing with rev 15848 on Kubuntu 10.04 I could not reproduce the crashes lutra observed.

Analyzing an offline editing project file I discovered that the [[QgsMapLayer]] custom properties (containing the remote layer infos) were empty. So

synchronize did nothing, as the remote layer could not be reconstructed.

The Offline Editing plugin should now synchronize again, my tests with several datasets including elcuco's sample data were successful.

#7 - 2011-05-01 08:57 AM - Giovanni Manghi

	

I could not reproduce the crashes lutra observed.

	

it works fine now in any case in my Ubuntu box.

	

elcuco, how it works now under Windows?

#8 - 2011-05-03 02:40 AM - elcuco -

Replying to [comment:10 lutra]:

	

elcuco, how it works now under Windows?
Hi guys!

Yesterday I couldn't reply because I could not login to QGIS Trac... But I've tested on Windows XP and it works just as it should be!

Good work!

Files

dump.zip 189 KB 2011-04-19 elcuco -

table_dump 2.13 KB 2011-04-26 elcuco -
